<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qiaoba.module.system.mapper.SysRoleDeptMapper">

    <delete id="deleteByRoleId">
        delete from sys_role_dept where role_id = #{roleId}
    </delete>

    <delete id="deleteByRoleIds">
        delete from sys_role_dept where role_id in
        <foreach collection="list" item="roleId" open="(" separator="," close=")">
            #{roleId}
        </foreach>
    </delete>

</mapper>
